package com.vendor.burn.consoles;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.preferences.FastbootPreferences;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.jface.util.PropertyChangeEvent;
import org.vendor.console.Console;

public final class FastbootConsole extends Console implements IPropertyChangeListener {
  IPreferenceStore preferenceStore = null;
  
  public FastbootConsole(String name) {
    super(name);
    this.preferenceStore = FastbootPreferences.getPreferenceStore();
    this.preferenceStore.addPropertyChangeListener(this);
    initConsole();
  }
  
  protected void dispose() {
    super.dispose();
    if (this.preferenceStore != null)
      this.preferenceStore.removePropertyChangeListener(this); 
  }
  
  protected void initConsole() {
    updateColor(getDefaultStream(), 
        FastbootPreferences.getConsoleOutDefault());
    updateColor(getReceivedStream(), 
        FastbootPreferences.getConsoleOutReceived());
    updateColor(getInfoStream(), FastbootPreferences.getConsoleOutInfo());
    updateColor(getWarningStream(), 
        FastbootPreferences.getConsoleOutWarning());
  }
  
  public void propertyChange(PropertyChangeEvent event) {
    String property = event.getProperty();
    if ("vendor.burn.console.out.rgb.default".equals(property) || "vendor.burn.console.out.rgb.info"
      .equals(property) || "vendor.burn.console.out.rgb.received"
      .equals(property) || "vendor.burn.console.out.rgb.warning"
      .equals(property))
      initConsole(); 
  }
}
